Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_old.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_old.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_old.F90	(revision 5103)
@@ -4038,9 +4038,9 @@
   ! do ig=1,ngrid
   ! if(abs(pdtadj(ig,l))*86400..gt.500.) then
-  ! print*,'WARN!!! ig=',ig,'  l=',l
+  ! PRINT*,'WARN!!! ig=',ig,'  l=',l
   ! s         ,'   pdtadj=',pdtadj(ig,l)
   ! endif
   ! if(abs(pdoadj(ig,l))*86400..gt.1.) then
-  ! print*,'WARN!!! ig=',ig,'  l=',l
+  ! PRINT*,'WARN!!! ig=',ig,'  l=',l
   ! s         ,'   pdoadj=',pdoadj(ig,l)
   ! endif
@@ -4048,5 +4048,5 @@
   ! enddo
 
-  ! print*,'14 OK convect8'
+  ! PRINT*,'14 OK convect8'
   ! ------------------------------------------------------------------
   ! Calculs pour les sorties
@@ -4070,10 +4070,10 @@
     ! entr(ig,l)=entr(ig,l)-detr(ig,l)
     ! detr(ig,l)=0.
-    ! print*,'WARNING !!! detrainement negatif ',ig,l
+    ! PRINT*,'WARNING !!! detrainement negatif ',ig,l
     ! endif
     ! enddo
     ! enddo
 
-    ! print*,'15 OK convect8'
+    ! PRINT*,'15 OK convect8'
 
 
@@ -4111,5 +4111,5 @@
 
     ! recalcul des flux en diagnostique...
-    ! print*,'PAS DE TEMPS ',ptimestep
+    ! PRINT*,'PAS DE TEMPS ',ptimestep
     CALL dt2f(pplev, pplay, pt, pdtadj, wh)
     CALL writeg1d(1, nlay, wh, 'wh2     ', 'wh2     ')
@@ -4121,5 +4121,5 @@
   ! if(wa_moy(1,4).gt.1.e-10) stop
 
-  ! print*,'19 OK convect8'
+  ! PRINT*,'19 OK convect8'
   RETURN
 END SUBROUTINE thermcell
@@ -4158,12 +4158,12 @@
         entr(ig, k) = entr(ig, k) - detr(ig, k)
         detr(ig, k) = 0.
-        ! print*,'detr2<0!!!','ig=',ig,'k=',k,'f=',fm(ig,k),
+        ! PRINT*,'detr2<0!!!','ig=',ig,'k=',k,'f=',fm(ig,k),
         ! s         'f+1=',fm(ig,k+1),'e=',entr(ig,k),'d=',detr(ig,k)
       END IF
       IF (fm(ig,k+1)<0.) THEN
-        ! print*,'fm2<0!!!'
+        ! PRINT*,'fm2<0!!!'
       END IF
       IF (entr(ig,k)<0.) THEN
-        ! print*,'entr2<0!!!'
+        ! PRINT*,'entr2<0!!!'
       END IF
     END DO
@@ -4184,8 +4184,8 @@
       END IF
       IF (qa(ig,k)<0.) THEN
-        ! print*,'qa<0!!!'
+        ! PRINT*,'qa<0!!!'
       END IF
       IF (q(ig,k)<0.) THEN
-        ! print*,'q<0!!!'
+        ! PRINT*,'q<0!!!'
       END IF
     END DO
@@ -4197,5 +4197,5 @@
       wqd(ig, k) = fm(ig, k)*q(ig, k)
       IF (wqd(ig,k)<0.) THEN
-        ! print*,'wqd<0!!!'
+        ! PRINT*,'wqd<0!!!'
       END IF
     END DO
@@ -4211,5 +4211,5 @@
         1))/masse(ig, k)
       ! if (dq(ig,k).lt.0.) then
-      ! print*,'dq<0!!!'
+      ! PRINT*,'dq<0!!!'
       ! endif
     END DO
@@ -4285,5 +4285,5 @@
           va(ig, k) = (fm(ig,k)*va(ig,k-1)+(entr(ig,k)+gamma(ig, &
             k))*v(ig,k))/(fm(ig,k+1)+detr(ig,k)+gamma(ig,k))
-          ! print*,k,ua(ig,k),va(ig,k),u(ig,k),v(ig,k),dua,dva
+          ! PRINT*,k,ua(ig,k),va(ig,k),u(ig,k),v(ig,k),dua,dva
           dua = ua(ig, k) - u(ig, k)
           dva = va(ig, k) - v(ig, k)
@@ -4475,5 +4475,5 @@
             k))*v(ig,k))/(fm(ig,k+1)+detr(ig,k)+entr(ig,k)*zf*zf2+gamma(ig,k) &
             )
-          ! print*,k,ua(ig,k),va(ig,k),u(ig,k),v(ig,k),dua,dva
+          ! PRINT*,k,ua(ig,k),va(ig,k),u(ig,k),v(ig,k),dua,dva
           dua = ua(ig, k) - u(ig, k)
           dva = va(ig, k) - v(ig, k)
@@ -4666,5 +4666,5 @@
   ! ---------------------------------------------------
 
-  ! print*,'0 OK convect8'
+  ! PRINT*,'0 OK convect8'
 
   DO l = 1, nlay
@@ -4679,5 +4679,5 @@
   END DO
 
-  ! print*,'1 OK convect8'
+  ! PRINT*,'1 OK convect8'
   ! --------------------
 
@@ -4716,5 +4716,5 @@
   END DO
 
-  ! print*,'2 OK convect8'
+  ! PRINT*,'2 OK convect8'
   ! -----------------------------------------------------------------------
   ! Calcul des densites
@@ -4741,5 +4741,5 @@
   END DO
 
-  ! print*,'3 OK convect8'
+  ! PRINT*,'3 OK convect8'
   ! ------------------------------------------------------------------
   ! Calcul de w2, quarre de w a partir de la cape
@@ -4840,5 +4840,5 @@
   END DO
 
-  ! print*,'fin calcul entr_star'
+  ! PRINT*,'fin calcul entr_star'
   DO k = 1, klev
     DO ig = 1, ngrid
@@ -4847,5 +4847,5 @@
   END DO
   ! RC
-  ! print*,'7 OK convect8'
+  ! PRINT*,'7 OK convect8'
   DO k = 1, klev + 1
     DO ig = 1, ngrid
@@ -4861,5 +4861,5 @@
   END DO
 
-  ! print*,'8 OK convect8'
+  ! PRINT*,'8 OK convect8'
   DO ig = 1, ngrid
     linter(ig) = 1.
@@ -4891,5 +4891,5 @@
         ! test
         IF (abs(zw2(ig,l+1)-zw2(ig,l))<1E-10) THEN
-          ! print*,'pb linter'
+          ! PRINT*,'pb linter'
         END IF
         linter(ig) = (l*(zw2(ig,l+1)-zw2(ig,l))-zw2(ig,l))/(zw2(ig,l+1)-zw2( &
@@ -4899,5 +4899,5 @@
       ELSE
         IF (zw2(ig,l+1)<0.) THEN
-          ! print*,'pb1 zw2<0'
+          ! PRINT*,'pb1 zw2<0'
         END IF
         wa_moy(ig, l+1) = sqrt(zw2(ig,l+1))
@@ -4910,5 +4910,5 @@
     END DO
   END DO
-  ! print*,'fin calcul zw2'
+  ! PRINT*,'fin calcul zw2'
 
   ! Calcul de la couche correspondant a la hauteur du thermique
@@ -4940,5 +4940,5 @@
       IF (l<=lmax(ig)) THEN
         IF (zw2(ig,l)<0.) THEN
-          ! print*,'pb2 zw2<0'
+          ! PRINT*,'pb2 zw2<0'
         END IF
         zw2(ig, l) = sqrt(zw2(ig,l))
@@ -4962,5 +4962,5 @@
   END DO
 
-  ! print*,'avant fermeture'
+  ! PRINT*,'avant fermeture'
   ! Fermeture,determination de f
   DO ig = 1, ngrid
@@ -4985,7 +4985,7 @@
     END IF
     ! f0(ig)=f(ig)
-    ! first=.true.
-  END DO
-  ! print*,'apres fermeture'
+    ! first=.TRUE.
+  END DO
+  ! PRINT*,'apres fermeture'
 
   ! Calcul de l'entrainement
@@ -5016,6 +5016,6 @@
 
 
-  ! print*,'9 OK convect8'
-  ! print*,'WA1 ',wa_moy
+  ! PRINT*,'9 OK convect8'
+  ! PRINT*,'WA1 ',wa_moy
 
   ! determination de l'indice du debut de la mixed layer ou w decroit
@@ -5042,5 +5042,5 @@
         ! cette option est finalement en dur.
         IF ((l_mix*zlev(ig,l))<0.) THEN
-          ! print*,'pb l_mix*zlev<0'
+          ! PRINT*,'pb l_mix*zlev<0'
         END IF
         ! CR: test: nouvelle def de lambda
@@ -5066,6 +5066,6 @@
   END DO
 
-  ! print*,'10 OK convect8'
-  ! print*,'WA2 ',wa_moy
+  ! PRINT*,'10 OK convect8'
+  ! PRINT*,'WA2 ',wa_moy
   ! calcul de la fraction de la maille concernée par l'ascendance en tenant
   ! compte de l'epluchage du thermique.
@@ -5088,5 +5088,5 @@
       ELSE
         zmix(ig) = zlev(ig, lmix(ig))
-        ! print*,'pb zmix'
+        ! PRINT*,'pb zmix'
       END IF
     ELSE
@@ -5096,5 +5096,5 @@
     IF ((zmax(ig)-zmix(ig))<0.) THEN
       zmix(ig) = 0.99*zmax(ig)
-      ! print*,'pb zmix>zmax'
+      ! PRINT*,'pb zmix>zmax'
     END IF
   END DO
@@ -5112,5 +5112,5 @@
     DO ig = 1, ngrid
       IF (larg_cons(ig,l)>1.) THEN
-        ! print*,ig,l,lmix(ig),lmaxa(ig),larg_cons(ig,l),'  KKK'
+        ! PRINT*,ig,l,lmix(ig),lmaxa(ig),larg_cons(ig,l),'  KKK'
         fraca(ig, l) = (larg_cons(ig,l)-larg_detr(ig,l))/(r_aspect*zmax(ig))
         ! test
@@ -5141,5 +5141,5 @@
           ! test
           IF (zmax(ig)-zmix(ig)<1.E-10) THEN
-            ! print*,'pb xxx'
+            ! PRINT*,'pb xxx'
             xxx(ig, l) = (lmaxa(ig)+1.-l)/(lmaxa(ig)+1.-lmix(ig))
           ELSE
@@ -5155,5 +5155,5 @@
             fraca(ig, l) = fracazmix(ig)*xxx(ig, l)**2
           END IF
-          ! print*,ig,l,lmix(ig),lmaxa(ig),xxx(ig,l),'LLLLLLL'
+          ! PRINT*,ig,l,lmix(ig),lmaxa(ig),xxx(ig,l),'LLLLLLL'
           fraca(ig, l) = max(fraca(ig,l), 0.)
           fraca(ig, l) = min(fraca(ig,l), 0.5)
@@ -5165,7 +5165,7 @@
   END DO
 
-  ! print*,'fin calcul fraca'
-  ! print*,'11 OK convect8'
-  ! print*,'Ea3 ',wa_moy
+  ! PRINT*,'fin calcul fraca'
+  ! PRINT*,'11 OK convect8'
+  ! PRINT*,'Ea3 ',wa_moy
   ! ------------------------------------------------------------------
   ! Calcul de fracd, wd
@@ -5208,6 +5208,6 @@
   END DO
 
-  ! print*,'12 OK convect8'
-  ! print*,'WA4 ',wa_moy
+  ! PRINT*,'12 OK convect8'
+  ! PRINT*,'WA4 ',wa_moy
   ! c------------------------------------------------------------------
   ! calcul du transport vertical
@@ -5215,10 +5215,10 @@
 
   GO TO 4444
-  ! print*,'XXXXXXXXXXXXXXX ptimestep= ',ptimestep
+  ! PRINT*,'XXXXXXXXXXXXXXX ptimestep= ',ptimestep
   DO l = 2, nlay - 1
     DO ig = 1, ngrid
       IF (fm(ig,l+1)*ptimestep>masse(ig,l) .AND. fm(ig,l+1)*ptimestep>masse( &
           ig,l+1)) THEN
-        ! print*,'WARN!!! FM>M ig=',ig,' l=',l,'  FM='
+        ! PRINT*,'WARN!!! FM>M ig=',ig,' l=',l,'  FM='
         ! s         ,fm(ig,l+1)*ptimestep
         ! s         ,'   M=',masse(ig,l),masse(ig,l+1)
@@ -5230,5 +5230,5 @@
     DO ig = 1, ngrid
       IF (entr(ig,l)*ptimestep>masse(ig,l)) THEN
-        ! print*,'WARN!!! E>M ig=',ig,' l=',l,'  E=='
+        ! PRINT*,'WARN!!! E>M ig=',ig,' l=',l,'  E=='
         ! s         ,entr(ig,l)*ptimestep
         ! s         ,'   M=',masse(ig,l)
@@ -5240,19 +5240,19 @@
     DO ig = 1, ngrid
       IF (.NOT. fm(ig,l)>=0. .OR. .NOT. fm(ig,l)<=10.) THEN
-        ! print*,'WARN!!! fm exagere ig=',ig,'   l=',l
+        ! PRINT*,'WARN!!! fm exagere ig=',ig,'   l=',l
         ! s         ,'   FM=',fm(ig,l)
       END IF
       IF (.NOT. masse(ig,l)>=1.E-10 .OR. .NOT. masse(ig,l)<=1.E4) THEN
-        ! print*,'WARN!!! masse exagere ig=',ig,'   l=',l
+        ! PRINT*,'WARN!!! masse exagere ig=',ig,'   l=',l
         ! s         ,'   M=',masse(ig,l)
-        ! print*,'rho(ig,l),pplay(ig,l),zpspsk(ig,l),RD,zh(ig,l)',
+        ! PRINT*,'rho(ig,l),pplay(ig,l),zpspsk(ig,l),RD,zh(ig,l)',
         ! s                 rho(ig,l),pplay(ig,l),zpspsk(ig,l),RD,zh(ig,l)
-        ! print*,'zlev(ig,l+1),zlev(ig,l)'
+        ! PRINT*,'zlev(ig,l+1),zlev(ig,l)'
         ! s                ,zlev(ig,l+1),zlev(ig,l)
-        ! print*,'pphi(ig,l-1),pphi(ig,l),pphi(ig,l+1)'
+        ! PRINT*,'pphi(ig,l-1),pphi(ig,l),pphi(ig,l+1)'
         ! s                ,pphi(ig,l-1),pphi(ig,l),pphi(ig,l+1)
       END IF
       IF (.NOT. entr(ig,l)>=0. .OR. .NOT. entr(ig,l)<=10.) THEN
-        ! print*,'WARN!!! entr exagere ig=',ig,'   l=',l
+        ! PRINT*,'WARN!!! entr exagere ig=',ig,'   l=',l
         ! s         ,'   E=',entr(ig,l)
       END IF
@@ -5269,5 +5269,5 @@
         entr(ig, l) = entr(ig, l) - detr(ig, l)
         detr(ig, l) = 0.
-        ! print*,'WARNING !!! detrainement negatif ',ig,l
+        ! PRINT*,'WARNING !!! detrainement negatif ',ig,l
       END IF
     END DO
@@ -5315,6 +5315,6 @@
 
 
-  ! print*,'13 OK convect8'
-  ! print*,'WA5 ',wa_moy
+  ! PRINT*,'13 OK convect8'
+  ! PRINT*,'WA5 ',wa_moy
   DO l = 1, nlay
     DO ig = 1, ngrid
@@ -5327,9 +5327,9 @@
   ! do ig=1,ngrid
   ! if(abs(pdtadj(ig,l))*86400..gt.500.) then
-  ! print*,'WARN!!! ig=',ig,'  l=',l
+  ! PRINT*,'WARN!!! ig=',ig,'  l=',l
   ! s         ,'   pdtadj=',pdtadj(ig,l)
   ! endif
   ! if(abs(pdoadj(ig,l))*86400..gt.1.) then
-  ! print*,'WARN!!! ig=',ig,'  l=',l
+  ! PRINT*,'WARN!!! ig=',ig,'  l=',l
   ! s         ,'   pdoadj=',pdoadj(ig,l)
   ! endif
@@ -5337,5 +5337,5 @@
   ! enddo
 
-  ! print*,'14 OK convect8'
+  ! PRINT*,'14 OK convect8'
   ! ------------------------------------------------------------------
   ! Calculs pour les sorties
@@ -5505,5 +5505,5 @@
   ! ---------------------------------------------------
 
-  ! print*,'0 OK convect8'
+  ! PRINT*,'0 OK convect8'
 
   DO l = 1, nlay
@@ -5518,5 +5518,5 @@
   END DO
 
-  ! print*,'1 OK convect8'
+  ! PRINT*,'1 OK convect8'
   ! --------------------
 
@@ -5555,5 +5555,5 @@
   END DO
 
-  ! print*,'2 OK convect8'
+  ! PRINT*,'2 OK convect8'
   ! -----------------------------------------------------------------------
   ! Calcul des densites
@@ -5580,5 +5580,5 @@
   END DO
 
-  ! print*,'3 OK convect8'
+  ! PRINT*,'3 OK convect8'
   ! ------------------------------------------------------------------
   ! Calcul de w2, quarre de w a partir de la cape
@@ -5741,5 +5741,5 @@
   END DO
 
-  ! print*,'fin calcul entr_star'
+  ! PRINT*,'fin calcul entr_star'
   DO k = 1, klev
     DO ig = 1, ngrid
@@ -5748,5 +5748,5 @@
   END DO
   ! RC
-  ! print*,'7 OK convect8'
+  ! PRINT*,'7 OK convect8'
   DO k = 1, klev + 1
     DO ig = 1, ngrid
@@ -5762,5 +5762,5 @@
   END DO
 
-  ! print*,'8 OK convect8'
+  ! PRINT*,'8 OK convect8'
   DO ig = 1, ngrid
     linter(ig) = 1.
@@ -5792,5 +5792,5 @@
         ! test
         IF (abs(zw2(ig,l+1)-zw2(ig,l))<1E-10) THEN
-          ! print*,'pb linter'
+          ! PRINT*,'pb linter'
         END IF
         linter(ig) = (l*(zw2(ig,l+1)-zw2(ig,l))-zw2(ig,l))/(zw2(ig,l+1)-zw2( &
@@ -5800,5 +5800,5 @@
       ELSE
         IF (zw2(ig,l+1)<0.) THEN
-          ! print*,'pb1 zw2<0'
+          ! PRINT*,'pb1 zw2<0'
         END IF
         wa_moy(ig, l+1) = sqrt(zw2(ig,l+1))
@@ -5811,5 +5811,5 @@
     END DO
   END DO
-  ! print*,'fin calcul zw2'
+  ! PRINT*,'fin calcul zw2'
 
   ! Calcul de la couche correspondant a la hauteur du thermique
@@ -5845,5 +5845,5 @@
       IF (l<=lmax(ig)) THEN
         IF (zw2(ig,l)<0.) THEN
-          ! print*,'pb2 zw2<0'
+          ! PRINT*,'pb2 zw2<0'
         END IF
         zw2(ig, l) = sqrt(zw2(ig,l))
@@ -5872,5 +5872,5 @@
   RETURN
 
-  ! print*,'avant fermeture'
+  ! PRINT*,'avant fermeture'
   ! Fermeture,determination de f
   ! Attention! entrainement normalisé ou pas?
@@ -5896,7 +5896,7 @@
     END IF
     f0(ig) = f(ig)
-    ! first=.true.
-  END DO
-  ! print*,'apres fermeture'
+    ! first=.TRUE.
+  END DO
+  ! PRINT*,'apres fermeture'
   ! on stoppe après la fermeture
   RETURN
@@ -5930,6 +5930,6 @@
 
 
-  ! print*,'9 OK convect8'
-  ! print*,'WA1 ',wa_moy
+  ! PRINT*,'9 OK convect8'
+  ! PRINT*,'WA1 ',wa_moy
 
   ! determination de l'indice du debut de la mixed layer ou w decroit
@@ -5956,5 +5956,5 @@
         ! cette option est finalement en dur.
         IF ((l_mix*zlev(ig,l))<0.) THEN
-          ! print*,'pb l_mix*zlev<0'
+          ! PRINT*,'pb l_mix*zlev<0'
         END IF
         ! CR: test: nouvelle def de lambda
@@ -5980,6 +5980,6 @@
   END DO
 
-  ! print*,'10 OK convect8'
-  ! print*,'WA2 ',wa_moy
+  ! PRINT*,'10 OK convect8'
+  ! PRINT*,'WA2 ',wa_moy
   ! calcul de la fraction de la maille concernée par l'ascendance en tenant
   ! compte de l'epluchage du thermique.
@@ -6002,5 +6002,5 @@
       ELSE
         zmix(ig) = zlev(ig, lmix(ig))
-        ! print*,'pb zmix'
+        ! PRINT*,'pb zmix'
       END IF
     ELSE
@@ -6010,5 +6010,5 @@
     IF ((zmax(ig)-zmix(ig))<0.) THEN
       zmix(ig) = 0.99*zmax(ig)
-      ! print*,'pb zmix>zmax'
+      ! PRINT*,'pb zmix>zmax'
     END IF
   END DO
@@ -6026,5 +6026,5 @@
     DO ig = 1, ngrid
       IF (larg_cons(ig,l)>1.) THEN
-        ! print*,ig,l,lmix(ig),lmaxa(ig),larg_cons(ig,l),'  KKK'
+        ! PRINT*,ig,l,lmix(ig),lmaxa(ig),larg_cons(ig,l),'  KKK'
         fraca(ig, l) = (larg_cons(ig,l)-larg_detr(ig,l))/(r_aspect*zmax(ig))
         ! test
@@ -6055,5 +6055,5 @@
           ! test
           IF (zmax(ig)-zmix(ig)<1.E-10) THEN
-            ! print*,'pb xxx'
+            ! PRINT*,'pb xxx'
             xxx(ig, l) = (lmaxa(ig)+1.-l)/(lmaxa(ig)+1.-lmix(ig))
           ELSE
@@ -6069,5 +6069,5 @@
             fraca(ig, l) = fracazmix(ig)*xxx(ig, l)**2
           END IF
-          ! print*,ig,l,lmix(ig),lmaxa(ig),xxx(ig,l),'LLLLLLL'
+          ! PRINT*,ig,l,lmix(ig),lmaxa(ig),xxx(ig,l),'LLLLLLL'
           fraca(ig, l) = max(fraca(ig,l), 0.)
           fraca(ig, l) = min(fraca(ig,l), 0.5)
@@ -6079,7 +6079,7 @@
   END DO
 
-  ! print*,'fin calcul fraca'
-  ! print*,'11 OK convect8'
-  ! print*,'Ea3 ',wa_moy
+  ! PRINT*,'fin calcul fraca'
+  ! PRINT*,'11 OK convect8'
+  ! PRINT*,'Ea3 ',wa_moy
   ! ------------------------------------------------------------------
   ! Calcul de fracd, wd
@@ -6123,6 +6123,6 @@
   END DO
 
-  ! print*,'12 OK convect8'
-  ! print*,'WA4 ',wa_moy
+  ! PRINT*,'12 OK convect8'
+  ! PRINT*,'WA4 ',wa_moy
   ! c------------------------------------------------------------------
   ! calcul du transport vertical
@@ -6130,10 +6130,10 @@
 
   GO TO 4444
-  ! print*,'XXXXXXXXXXXXXXX ptimestep= ',ptimestep
+  ! PRINT*,'XXXXXXXXXXXXXXX ptimestep= ',ptimestep
   DO l = 2, nlay - 1
     DO ig = 1, ngrid
       IF (fm(ig,l+1)*ptimestep>masse(ig,l) .AND. fm(ig,l+1)*ptimestep>masse( &
           ig,l+1)) THEN
-        ! print*,'WARN!!! FM>M ig=',ig,' l=',l,'  FM='
+        ! PRINT*,'WARN!!! FM>M ig=',ig,' l=',l,'  FM='
         ! s         ,fm(ig,l+1)*ptimestep
         ! s         ,'   M=',masse(ig,l),masse(ig,l+1)
@@ -6145,5 +6145,5 @@
     DO ig = 1, ngrid
       IF (entr(ig,l)*ptimestep>masse(ig,l)) THEN
-        ! print*,'WARN!!! E>M ig=',ig,' l=',l,'  E=='
+        ! PRINT*,'WARN!!! E>M ig=',ig,' l=',l,'  E=='
         ! s         ,entr(ig,l)*ptimestep
         ! s         ,'   M=',masse(ig,l)
@@ -6155,19 +6155,19 @@
     DO ig = 1, ngrid
       IF (.NOT. fm(ig,l)>=0. .OR. .NOT. fm(ig,l)<=10.) THEN
-        ! print*,'WARN!!! fm exagere ig=',ig,'   l=',l
+        ! PRINT*,'WARN!!! fm exagere ig=',ig,'   l=',l
         ! s         ,'   FM=',fm(ig,l)
       END IF
       IF (.NOT. masse(ig,l)>=1.E-10 .OR. .NOT. masse(ig,l)<=1.E4) THEN
-        ! print*,'WARN!!! masse exagere ig=',ig,'   l=',l
+        ! PRINT*,'WARN!!! masse exagere ig=',ig,'   l=',l
         ! s         ,'   M=',masse(ig,l)
-        ! print*,'rho(ig,l),pplay(ig,l),zpspsk(ig,l),RD,zh(ig,l)',
+        ! PRINT*,'rho(ig,l),pplay(ig,l),zpspsk(ig,l),RD,zh(ig,l)',
         ! s                 rho(ig,l),pplay(ig,l),zpspsk(ig,l),RD,zh(ig,l)
-        ! print*,'zlev(ig,l+1),zlev(ig,l)'
+        ! PRINT*,'zlev(ig,l+1),zlev(ig,l)'
         ! s                ,zlev(ig,l+1),zlev(ig,l)
-        ! print*,'pphi(ig,l-1),pphi(ig,l),pphi(ig,l+1)'
+        ! PRINT*,'pphi(ig,l-1),pphi(ig,l),pphi(ig,l+1)'
         ! s                ,pphi(ig,l-1),pphi(ig,l),pphi(ig,l+1)
       END IF
       IF (.NOT. entr(ig,l)>=0. .OR. .NOT. entr(ig,l)<=10.) THEN
-        ! print*,'WARN!!! entr exagere ig=',ig,'   l=',l
+        ! PRINT*,'WARN!!! entr exagere ig=',ig,'   l=',l
         ! s         ,'   E=',entr(ig,l)
       END IF
@@ -6185,5 +6185,5 @@
         fm(ig, l+1) = fm(ig, l) + entr(ig, l)
         detr(ig, l) = 0.
-        ! print*,'WARNING !!! detrainement negatif ',ig,l
+        ! PRINT*,'WARNING !!! detrainement negatif ',ig,l
       END IF
     END DO
@@ -6231,6 +6231,6 @@
 
 
-  ! print*,'13 OK convect8'
-  ! print*,'WA5 ',wa_moy
+  ! PRINT*,'13 OK convect8'
+  ! PRINT*,'WA5 ',wa_moy
   DO l = 1, nlay
     DO ig = 1, ngrid
@@ -6243,9 +6243,9 @@
   ! do ig=1,ngrid
   ! if(abs(pdtadj(ig,l))*86400..gt.500.) then
-  ! print*,'WARN!!! ig=',ig,'  l=',l
+  ! PRINT*,'WARN!!! ig=',ig,'  l=',l
   ! s         ,'   pdtadj=',pdtadj(ig,l)
   ! endif
   ! if(abs(pdoadj(ig,l))*86400..gt.1.) then
-  ! print*,'WARN!!! ig=',ig,'  l=',l
+  ! PRINT*,'WARN!!! ig=',ig,'  l=',l
   ! s         ,'   pdoadj=',pdoadj(ig,l)
   ! endif
@@ -6253,5 +6253,5 @@
   ! enddo
 
-  ! print*,'14 OK convect8'
+  ! PRINT*,'14 OK convect8'
   ! ------------------------------------------------------------------
   ! Calculs pour les sorties
@@ -6275,10 +6275,10 @@
     ! entr(ig,l)=entr(ig,l)-detr(ig,l)
     ! detr(ig,l)=0.
-    ! print*,'WARNING !!! detrainement negatif ',ig,l
+    ! PRINT*,'WARNING !!! detrainement negatif ',ig,l
     ! endif
     ! enddo
     ! enddo
 
-    ! print*,'15 OK convect8'
+    ! PRINT*,'15 OK convect8'
 
     isplit = isplit + 1
@@ -6318,5 +6318,5 @@
 
     ! recalcul des flux en diagnostique...
-    ! print*,'PAS DE TEMPS ',ptimestep
+    ! PRINT*,'PAS DE TEMPS ',ptimestep
     CALL dt2f(pplev, pplay, pt, pdtadj, wh)
     CALL writeg1d(1, nlay, wh, 'wh2     ', 'wh2     ')
@@ -6328,5 +6328,5 @@
   ! if(wa_moy(1,4).gt.1.e-10) stop
 
-  ! print*,'19 OK convect8'
+  ! PRINT*,'19 OK convect8'
   RETURN
 END SUBROUTINE calcul_sec
@@ -6422,5 +6422,5 @@
           ! detr_star(ig,l)=0.
         END IF
-        ! print*,'ok detr_star'
+        ! PRINT*,'ok detr_star'
         ! prise en compte du detrainement dans le calcul du flux
         f_star(ig, l+1) = f_star(ig, l) + alim_star(ig, l) + &
@@ -6441,5 +6441,5 @@
           ig,l))
         zw2(ig, l+1) = 0.
-        ! print*,'linter=',linter(ig)
+        ! PRINT*,'linter=',linter(ig)
       ELSE
         wa_moy(ig, l+1) = sqrt(zw2(ig,l+1))
@@ -6452,5 +6452,5 @@
     END DO
   END DO
-  ! print*,'fin calcul zw2'
+  ! PRINT*,'fin calcul zw2'
 
   ! Calcul de la couche correspondant a la hauteur du thermique
@@ -6483,5 +6483,5 @@
       IF (l<=lmax(ig)) THEN
         IF (zw2(ig,l)<0.) THEN
-          ! print*,'pb2 zw2<0'
+          ! PRINT*,'pb2 zw2<0'
         END IF
         zw2(ig, l) = sqrt(zw2(ig,l))
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_plume.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_plume.f90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_plume.f90	(revision 5103)
@@ -100,6 +100,6 @@
     REAL, dimension(ngrid, nlay) :: c2
 
-    if (ngrid==1) print*, 'THERMCELL PLUME MODIFIE 2014/07/11'
-    Zsat = .false.
+    if (ngrid==1) PRINT*, 'THERMCELL PLUME MODIFIE 2014/07/11'
+    Zsat = .FALSE.
     ! Initialisation
 
@@ -213,7 +213,7 @@
 
       ztemp(:) = zpspsk(:, l) * ztla(:, l - 1)
-      call thermcell_qsat(ngrid, active, pplev(:, l), ztemp, zqta(:, l - 1), zqsat(:))
-      do ig = 1, ngrid
-        !       print*,'active',active(ig),ig,l
+      CALL thermcell_qsat(ngrid, active, pplev(:, l), ztemp, zqta(:, l - 1), zqsat(:))
+      do ig = 1, ngrid
+        !       PRINT*,'active',active(ig),ig,l
         if(active(ig)) then
           zqla_est(ig, l) = max(0., zqta(ig, l - 1) - zqsat(ig))
@@ -334,5 +334,5 @@
       do ig = 1, ngrid
         if (activetmp(ig)) then
-          Zsat = .false.
+          Zsat = .FALSE.
           ztla(ig, l) = (f_star(ig, l) * ztla(ig, l - 1) + &
                   (alim_star(ig, l) + entr_star(ig, l)) * zthl(ig, l))  &
@@ -346,5 +346,5 @@
 
       ztemp(:) = zpspsk(:, l) * ztla(:, l)
-      call thermcell_qsat(ngrid, activetmp, pplev(:, l), ztemp, zqta(:, l), zqsatth(:, l))
+      CALL thermcell_qsat(ngrid, activetmp, pplev(:, l), ztemp, zqta(:, l), zqsatth(:, l))
       do ig = 1, ngrid
         if (activetmp(ig)) then
@@ -370,5 +370,5 @@
       enddo
 
-      if (prt_level>=20) print*, 'coucou calcul detr 460: ig, l', ig, l
+      if (prt_level>=20) PRINT*, 'coucou calcul detr 460: ig, l', ig, l
 
       !===========================================================================
@@ -380,5 +380,5 @@
         if (zw2(ig, l + 1)>0. .and. zw2(ig, l + 1)<1.e-10) then
           !               stop'On tombe sur le cas particulier de thermcell_dry'
-          !               print*,'On tombe sur le cas particulier de thermcell_plume'
+          !               PRINT*,'On tombe sur le cas particulier de thermcell_plume'
           nbpb = nbpb + 1
           zw2(ig, l + 1) = 0.
@@ -412,5 +412,5 @@
 
       if (nbpb>0) then
-        print*, 'WARNING on tombe ', nbpb, ' x sur un pb pour l=', l, ' dans thermcell_plume'
+        PRINT*, 'WARNING on tombe ', nbpb, ' x sur un pb pour l=', l, ' dans thermcell_plume'
       endif
 
@@ -430,5 +430,5 @@
     enddo
 
-    if (prt_level>=20) print*, 'coucou calcul detr 470: ig, l', ig, l
+    if (prt_level>=20) PRINT*, 'coucou calcul detr 470: ig, l', ig, l
     RETURN
   end
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_plume_6A.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_plume_6A.f90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_plume_6A.f90	(revision 5103)
@@ -94,6 +94,6 @@
     REAL, dimension(ngrid, nlay) :: c2
 
-    if (ngrid==1) print*, 'THERMCELL PLUME MODIFIE 2014/07/11'
-    Zsat = .false.
+    if (ngrid==1) PRINT*, 'THERMCELL PLUME MODIFIE 2014/07/11'
+    Zsat = .FALSE.
     ! Initialisation
 
@@ -214,7 +214,7 @@
 
       ztemp(:) = zpspsk(:, l) * ztla(:, l - 1)
-      call thermcell_qsat(ngrid, active, pplev(:, l), ztemp, zqta(:, l - 1), zqsat(:))
-      do ig = 1, ngrid
-        !       print*,'active',active(ig),ig,l
+      CALL thermcell_qsat(ngrid, active, pplev(:, l), ztemp, zqta(:, l - 1), zqsat(:))
+      do ig = 1, ngrid
+        !       PRINT*,'active',active(ig),ig,l
         if(active(ig)) then
           zqla_est(ig, l) = max(0., zqta(ig, l - 1) - zqsat(ig))
@@ -521,5 +521,5 @@
           !        endif
 
-          !        print*,'alim0',zlev(ig,l),entr_star(ig,l),detr_star(ig,l),zw2m,zbuoy(ig,l),f_star(ig,l)
+          !        PRINT*,'alim0',zlev(ig,l),entr_star(ig,l),detr_star(ig,l),zw2m,zbuoy(ig,l),f_star(ig,l)
           ! Calcul du flux montant normalise
           f_star(ig, l + 1) = f_star(ig, l) + alim_star(ig, l) + entr_star(ig, l)  &
@@ -537,5 +537,5 @@
       do ig = 1, ngrid
         if (activetmp(ig)) then
-          Zsat = .false.
+          Zsat = .FALSE.
           ztla(ig, l) = (f_star(ig, l) * ztla(ig, l - 1) + &
                   (alim_star(ig, l) + entr_star(ig, l)) * zthl(ig, l))  &
@@ -549,5 +549,5 @@
 
       ztemp(:) = zpspsk(:, l) * ztla(:, l)
-      call thermcell_qsat(ngrid, activetmp, pplev(:, l), ztemp, zqta(:, l), zqsatth(:, l))
+      CALL thermcell_qsat(ngrid, activetmp, pplev(:, l), ztemp, zqta(:, l), zqsatth(:, l))
       do ig = 1, ngrid
         if (activetmp(ig)) then
@@ -612,5 +612,5 @@
       enddo
 
-      if (prt_level>=20) print*, 'coucou calcul detr 460: ig, l', ig, l
+      if (prt_level>=20) PRINT*, 'coucou calcul detr 460: ig, l', ig, l
 
       !===========================================================================
@@ -622,5 +622,5 @@
         if (zw2(ig, l + 1)>0. .and. zw2(ig, l + 1)<1.e-10) then
           !               stop'On tombe sur le cas particulier de thermcell_dry'
-          !               print*,'On tombe sur le cas particulier de thermcell_plume'
+          !               PRINT*,'On tombe sur le cas particulier de thermcell_plume'
           nbpb = nbpb + 1
           zw2(ig, l + 1) = 0.
@@ -654,5 +654,5 @@
 
       if (nbpb>0) then
-        print*, 'WARNING on tombe ', nbpb, ' x sur un pb pour l=', l, ' dans thermcell_plume'
+        PRINT*, 'WARNING on tombe ', nbpb, ' x sur un pb pour l=', l, ' dans thermcell_plume'
       endif
 
@@ -672,5 +672,5 @@
     enddo
 
-    if (prt_level>=20) print*, 'coucou calcul detr 470: ig, l', ig, l
+    if (prt_level>=20) PRINT*, 'coucou calcul detr 470: ig, l', ig, l
     RETURN
   end
@@ -761,5 +761,5 @@
     REAL fact_gamma, fact_epsilon, fact_gamma2, fact_epsilon2
     REAL c2(ngrid, nlay)
-    Zsat = .false.
+    Zsat = .FALSE.
     ! Initialisation
 
@@ -894,8 +894,8 @@
 
       ztemp(:) = zpspsk(:, l) * ztla(:, l - 1)
-      call thermcell_qsat(ngrid, active, pplev(:, l), ztemp, zqta(:, l - 1), zqsat(:))
-
-      do ig = 1, ngrid
-        !       print*,'active',active(ig),ig,l
+      CALL thermcell_qsat(ngrid, active, pplev(:, l), ztemp, zqta(:, l - 1), zqsat(:))
+
+      do ig = 1, ngrid
+        !       PRINT*,'active',active(ig),ig,l
         if(active(ig)) then
           zqla_est(ig, l) = max(0., zqta(ig, l - 1) - zqsat(ig))
@@ -967,5 +967,5 @@
       do ig = 1, ngrid
         if (activetmp(ig)) then
-          Zsat = .false.
+          Zsat = .FALSE.
           ztla(ig, l) = (f_star(ig, l) * ztla(ig, l - 1) + &
                   (alim_star(ig, l) + entr_star(ig, l)) * zthl(ig, l))  &
@@ -979,5 +979,5 @@
 
       ztemp(:) = zpspsk(:, l) * ztla(:, l)
-      call thermcell_qsat(ngrid, activetmp, pplev(:, l), ztemp, zqta(:, l), zqsatth(:, l))
+      CALL thermcell_qsat(ngrid, activetmp, pplev(:, l), ztemp, zqta(:, l), zqsatth(:, l))
 
       do ig = 1, ngrid
@@ -1002,5 +1002,5 @@
       enddo
 
-      if (prt_level>=20) print*, 'coucou calcul detr 460: ig, l', ig, l
+      if (prt_level>=20) PRINT*, 'coucou calcul detr 460: ig, l', ig, l
 
       !---------------------------------------------------------------------------
@@ -1012,5 +1012,5 @@
         if (zw2(ig, l + 1)>0. .and. zw2(ig, l + 1)<1.e-10) then
           !               stop'On tombe sur le cas particulier de thermcell_dry'
-          !               print*,'On tombe sur le cas particulier de thermcell_plume'
+          !               PRINT*,'On tombe sur le cas particulier de thermcell_plume'
           nbpb = nbpb + 1
           zw2(ig, l + 1) = 0.
@@ -1025,5 +1025,5 @@
           linter(ig) = (l * (f_star(ig, l + 1) - f_star(ig, l))  &
                   - f_star(ig, l)) / (f_star(ig, l + 1) - f_star(ig, l))
-          !           print*,"linter plume", linter(ig)
+          !           PRINT*,"linter plume", linter(ig)
           zw2(ig, l + 1) = 0.
         endif
@@ -1043,5 +1043,5 @@
 
       if (nbpb>0) then
-        print*, 'WARNING on tombe ', nbpb, ' x sur un pb pour l=', l, ' dans thermcell_plume'
+        PRINT*, 'WARNING on tombe ', nbpb, ' x sur un pb pour l=', l, ' dans thermcell_plume'
       endif
 
@@ -1061,5 +1061,5 @@
     enddo
 
-    if (prt_level>=20) print*, 'coucou calcul detr 470: ig, l', ig, l
+    if (prt_level>=20) PRINT*, 'coucou calcul detr 470: ig, l', ig, l
   end
 END MODULE lmdz_thermcell_plume_6A
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_qsat.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_qsat.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_qsat.F90	(revision 5103)
@@ -2,5 +2,5 @@
 CONTAINS
 
-subroutine thermcell_qsat(klon,active,pplev,ztemp,zqta,zqsat)
+SUBROUTINE thermcell_qsat(klon,active,pplev,ztemp,zqta,zqsat)
 implicit none
 
@@ -37,6 +37,6 @@
 
 RLvCp = RLVTT/RCPD
-tout_converge=.false.
-afaire(:)=.false.
+tout_converge=.FALSE.
+afaire(:)=.FALSE.
 DT(:)=0.
 
@@ -48,5 +48,5 @@
 !====================================================================
 
-do ig=1,klon
+DO ig=1,klon
    if (active(ig)) then
                Tbef(ig)=ztemp(ig)
@@ -60,9 +60,9 @@
                zqsat(ig)=qsatbef
      endif
-enddo
+END DO
 
 ! Traitement du cas ou il y a condensation mais faible
 ! On ne condense pas mais on dit que le qsat est le qta
-do ig=1,klon
+DO ig=1,klon
    if (active(ig)) then
       if (0.<abs(DT(ig)).and.abs(DT(ig))<=DDT0) then
@@ -70,7 +70,7 @@
       endif
    endif
-enddo
+END DO
 
-do iter=1,10
+DO iter=1,10
     afaire(:)=abs(DT(:))>DDT0
     do ig=1,klon
@@ -93,5 +93,5 @@
                endif
     enddo
-enddo
+END DO
 
 return
